#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  MLT-7.4.0

- Next

  Pipewire-0.3.47

- Up
- Home

# Opus-1.3.1

## Introduction to Opus

Opus is a lossy audio compression format developed by the Internet Engineering Task Force (IETF) that is particularly suitable for interactive speech and audio transmission over the Internet. This package provides the Opus development library and headers.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://archive.mozilla.org/pub/opus/opus-1.3.1.tar.gz

- Download MD5 sum: d7c07db796d21c9cf1861e0c2b0c0617

- Download size: 1.0 MB

- Estimated disk space required: 26 MB (with tests)

- Estimated build time: 0.8 SBU (with tests)

#### Optional

Doxygen-1.9.3 and texlive-20210325 (or install-tl-unx)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/Opus

## Installation of Opus

Install Opus by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/opus-1.3.1 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libopus.so
Installed Directory: /usr/include/opus and /usr/share/doc/opus-1.3.1

### Short Descriptions

`libopus.so` | provides the functions used to read and write Opus format

Last updated on

- Prev

  MLT-7.4.0

- Next

  Pipewire-0.3.47

- Up
- Home